This discussion is archived
8 Replies Latest reply: Dec 16, 2011 2:11 AM by ErikTrip-DarwinIT RSS

11G compatibility

Carlton Newbie
Currently Being Moderated
Our organization is upgrading to 11G. What do I need to know about compatibility with our version of Designer? (9.0.4.5.6, 4.0.12.96.16 Repository)

Thanks!
  • 1. Re: 11G compatibility
    mwickham Explorer
    Currently Being Moderated
    Designer 9.0.4.x.x.x is not compatible with an 11 DB.

    Designer 10.1.2.5 is certified with an 11.1.0.6 DB

    You can get it to work with an 11.1.0.7 DB but you have to use the imp/exp tools from 11.1.0.6

    Designer is not certified with and 11R2 db.

    Michael
  • 2. Re: 11G compatibility
    Carlton Newbie
    Currently Being Moderated
    Michael,

    Thanks for your response.

    Have you heard if 11GR2 will be certified in the future? I tried to find info in metalink but I wasn't able to find the certification matrix.

    Any links or nav paths are appreciated.

    Thanks.
  • 3. Re: 11G compatibility
    mwickham Explorer
    Currently Being Moderated
    I have not heard anything about Keeping Designer current.

    I do not see much happening with Designer in the future.

    I am guessing that it will not be supported with 11R2.
    Michael
  • 4. Re: 11G compatibility
    ErikTrip-DarwinIT Explorer
    Currently Being Moderated
    Hello
    Does anybody know if Oracle Designer is certified against an Oracle 11gR2 database?

    or
    does anybody use oracle designer against an 11gr@ database?


    I was trying to find a certification matrix on metalink but did not succeed

    Kind Regards Erik
  • 5. Re: 11G compatibility
    mwickham Explorer
    Currently Being Moderated
    Yes they finally certified Designer with an 11.2 DB.
    However there are some major bugs that will not be fixed.

    I recommend you upgrade to an 11.1.0.6 DB as it is a stable platform for Designer and stay there.
    Michael
  • 6. Re: 11G compatibility
    ErikTrip-DarwinIT Explorer
    Currently Being Moderated
    Hello Miichael
    What major bugs are you referring at??

    You make me curious. We intend to go to 11gR2.
    Is there a metalink documents that confirms that certification?

    Regards Erik
  • 7. Re: 11G compatibility
    Mark Striekwold Journeyer
    Currently Being Moderated
    Erik,

    You can go to 11gR2 database with you application and keep your repository inside an older database version like 10gR2 or 11gR1.

    Colleagues of mine were having trouble saving pl/sql logic and were getting strange errors like "CDD-22202 An error trying to store text". Have to add they were using a versiioned repository. After downgrading to 11.1.0.7 everything works fine again inside the repository.

    Regards,

    Mark
  • 8. Re: 11G compatibility
    ErikTrip-DarwinIT Explorer
    Currently Being Moderated
    Hoi Mark
    Thx. Yes that is an option of course. But the dba's prefer to maintain just one version of the database. And when they have to maintain an extra database version which is not certified they will probably not like that.

    (of course designer isn't certified as well)
    Dou you have any references (metalink) which describe these bugs? And are you aware of a certication matrix?

    Regards Erik

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points